lomiri::connectivity::NetworkingStatus::Private Class Reference
Inheritance diagram for lomiri::connectivity::NetworkingStatus::Private:
[legend]
Collaboration diagram for lomiri::connectivity::NetworkingStatus::Private:
[legend]

## Public Slots

void | limitationsUpdated (const QVector< connectivityqt::Connectivity::Limitations > &)
void | statusUpdated (connectivityqt::Connectivity::Status value)

## Public Member Functions

| Private (NetworkingStatus &parent)

## Public Attributes

NetworkingStatus & | p
connectivityqt::Connectivity::SPtr | m_connectivity

## Constructor & Destructor Documentation

## Private()

lomiri::connectivity::NetworkingStatus::Private::Private | ( | NetworkingStatus & | parent | ) |

inline

## Member Function Documentation

## limitationsUpdated

void lomiri::connectivity::NetworkingStatus::Private::limitationsUpdated | ( | const QVector< connectivityqt::Connectivity::Limitations > & |  | ) |

inline slot

## statusUpdated

void lomiri::connectivity::NetworkingStatus::Private::statusUpdated | ( | connectivityqt::Connectivity::Status | value | ) |

inline slot

## Member Data Documentation

## m_connectivity

connectivityqt::Connectivity::SPtr lomiri::connectivity::NetworkingStatus::Private::m_connectivity

## p

NetworkingStatus& lomiri::connectivity::NetworkingStatus::Private::p

The documentation for this class was generated from the following file:

- networking-status.cpp